diff --git a/src/write_blueflood.c b/src/write_blueflood.c
index 93486e7ddb..a560146168 100644
--- a/src/write_blueflood.c
+++ b/src/write_blueflood.c
@@ -600,6 +600,7 @@ static void free_user_data(wb_callback_t *cb){
 
 	if ( cb->yajl_gen != NULL ){
 	    send_json_freemem(&cb->yajl_gen);
+        yajl_gen_free(cb->yajl_gen);
 	}
 
 	/*curl transport end session & destroy*/
